update-manager doing hardy->lucid should stop apparmor

Bug #559433 reported by Kees Cook on 2010-04-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

Binary package hint: update-manager

In an effort to avoid potentially confusing situations like bug 556343, we would like to have apparmor stopped before starting package upgrades on a hardy->lucid upgrade (though not in karmic->lucid, this is currently expected to be okay). Just calling "sudo /etc/init.d/apparmor stop" should be sufficient (and should not fail the upgrade if "stop" fails, as some people may be running SELinux, etc).

While the above bug doesn't appear to cause us any "real" problems, we'd like to be a little more proactive towards fixing possible unknown breakages and at least avoid the scary warnings.

Thanks!

Michael Vogt (mvo) on 2010-04-12
Changed in update-manager (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
milestone: none → ubuntu-10.04
Michael Vogt (mvo) on 2010-04-12
Changed in update-manager (Ubuntu Lucid):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.134.1

---------------
update-manager (1:0.134.1) lucid; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - honor "DEBIAN_FRONTEND=noninteractive" on pkg failure (LP: #538206)
  * DistUpgrade/DistUpgradeQuirks.py:
    - stop apparmor before dpkg starts on hardy -> lucid upgrades to
      avoid potentially confusing error messages during the upgrade
      (LP: #559433)
  * DistUpgrade/DistUpgradeCache.py, DistUpgrade/build-tarball.sh:
    - include obselte nvidia pkgnames to properly transition old
      to new drivers (LP: #553369)
  * DistUpgrade/DistUpgradeViewText.py:
    - show packages that will be removed (because they were auto installed)
      as well (LP: #558438)
    - fix i18n bug in details output
  * UpdateManager/Core/MyCache.py:
    - support third party changelogs by using ArchiveURI() and
      append a similar structure as changelogs.ubuntu.com uses
      (LP: #45129)
  * UpdateManager/Core/MetaRelease.py:
    - do not crash if meta-release file can not be parsed, just remove
      the broken file instead (LP: #558396)
 -- Michael Vogt <email address hidden> Mon, 12 Apr 2010 18:32:59 +0200

Changed in update-manager (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers